Jump to content
Not connected, Your IP: 34.239.150.57
vindizel

Eddie on Tails installation fails

Recommended Posts

I have the same problem. I installed following the instruction but it installed it with problems and won't start.

Can someone tell me what I'm doing wrong please?

Please see below


amnesia@amnesia:~/Tor Browser$ sudo dpkg -i eddie-ui_2.16.3_linux_x64_debian.deb
[sudo] password for amnesia:
Selecting previously unselected package eddie-ui.
(Reading database ... 137529 files and directories currently installed.)
Preparing to unpack eddie-ui_2.16.3_linux_x64_debian.deb ...
Unpacking eddie-ui (2.16.3) ...
dpkg: dependency problems prevent configuration of eddie-ui:
 eddie-ui depends on libappindicator1; however:
  Package libappindicator1 is not installed.
 eddie-ui depends on mono-runtime; however:
  Package mono-runtime is not installed.
 eddie-ui depends on mono-utils; however:
  Package mono-utils is not installed.
 eddie-ui depends on libmono-system-core4.0-cil; however:
  Package libmono-system-core4.0-cil is not installed.
 eddie-ui depends on libmono-system-windows-forms4.0-cil; however:
  Package libmono-system-windows-forms4.0-cil is not installed.
 eddie-ui depends on openvpn; however:
  Package openvpn is not installed.
 eddie-ui depends on stunnel4; however:
  Package stunnel4 is not installed.

dpkg: error processing package eddie-ui (--install):
 dependency problems - leaving unconfigured
Processing triggers for man-db (2.8.5-2) ...
Processing triggers for gnome-menus (3.31.4-3) ...
Processing triggers for desktop-file-utils (0.23-4.0tails1) ...
Processing triggers for mime-support (3.62) ...
Errors were encountered while processing:
 eddie-ui
amnesia@amnesia:~/Tor Browser$ sudo apt-get -f install
[sudo] password for amnesia:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following package was automatically installed and is no longer required:
  libpcre2-posix0
Use 'sudo apt autoremove' to remove it.
The following packages will be REMOVED:
  eddie-ui
0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
1 not fully installed or removed.
After this operation, 8,389 kB disk space will be freed.
Do you want to continue? [Y/n] y
[INFO] Saving package changes
(Reading database ... 137551 files and directories currently installed.)
Removing eddie-ui (2.16.3) ...
Processing triggers for mime-support (3.62) ...
Processing triggers for gnome-menus (3.31.4-3) ...
Processing triggers for man-db (2.8.5-2) ...
Processing triggers for desktop-file-utils (0.23-4.0tails1) ...
[INFO] Examining package changes
amnesia@amnesia:~/Tor Browser$ sudo gdebi eddie-ui_2.16.3_linux_x64_debian.deb
[sudo] password for amnesia:
sudo: gdebi : command not found

 

Share this post


Link to post

It's not worth trying with gdebi because it does the same as apt-get would do. So don't install that.

dpkg can install eddie-ui but stops configuration because of dependency errors (which is good so far). If apt-get -f install wants to remove eddie-ui instead of installing dependencies, it means the dependencies cannot be satisfied by the package repositories you are using, most probable ergo, Tails dropped some packages Eddie 2.16.3 needed.

You can try the beta, it's up-to-date and should work. Don't be alarmed, it's actually very stable. :)


» I am not an AirVPN team member. All opinions are my own and are not to be considered official. Only the AirVPN Staff account should be viewed as such.

» The forums is a place where you can ask questions to the community. You are not entitled to guaranteed answer times. Answer quality may vary, too. If you need professional support, please create tickets.

» If you're new, take some time to read LZ1's New User Guide to AirVPN. On questions, use the search function first. On errors, search for the error message instead.

» If you choose to create a new thread, keep in mind that we don't know your setup. Give info about it. Never forget the OpenVPN logs or, for Eddie, the support file (Logs > lifebelt icon).

» The community kindly asks you to not set up Tor exit relays when connected to AirVPN. Their IP addresses are subject to restrictions and these are relayed to all users of the affected servers.

 

» Furthermore, I propose that your paranoia is to be destroyed. If you overdo privacy, chances are you will be unique amond the mass again.

Share this post


Link to post

My logs after trying beta linux experimental version 2.19.4. I really do not know what to next. Any help from experts like giganerd? Thanks again.

:$ sudo su
[sudo] password for amnesia: 
root@amnesia:/home/amnesia# cd Persistent
root@amnesia:/home/amnesia/Persistent# sudo dpkg -i eddie-ui_2.19.4_linux_x64_debian.deb
Selecting previously unselected package eddie-ui.
(Reading database ... 138578 files and directories currently installed.)
Preparing to unpack eddie-ui_2.19.4_linux_x64_debian.deb ...
Unpacking eddie-ui (2.19.4) ...
dpkg: dependency problems prevent configuration of eddie-ui:
 eddie-ui depends on libappindicator1; however:
  Package libappindicator1 is not installed.
 eddie-ui depends on mono-runtime; however:
  Package mono-runtime is not installed.
 eddie-ui depends on mono-utils; however:
  Package mono-utils is not installed.
 eddie-ui depends on libmono-system-core4.0-cil; however:
  Package libmono-system-core4.0-cil is not installed.
 eddie-ui depends on libmono-system-windows-forms4.0-cil; however:
  Package libmono-system-windows-forms4.0-cil is not installed.
 eddie-ui depends on stunnel4; however:
  Package stunnel4 is not installed.
 eddie-ui depends on libsecret-tools; however:
  Package libsecret-tools is not installed.

dpkg: error processing package eddie-ui (--install):
 dependency problems - leaving unconfigured
Processing triggers for gnome-menus (3.31.4-3) ...
Processing triggers for desktop-file-utils (0.23-4.0tails1) ...
Processing triggers for mime-support (3.62) ...
Processing triggers for man-db (2.8.5-2) ...
Errors were encountered while processing:
 eddie-ui
root@amnesia:/home/amnesia/Persistent# sudo apt-get install openvpn
Reading package lists... Done
Building dependency tree       
Reading state information... Done
openvpn is already the newest version (2.4.7-1).
You might want to run 'apt --fix-broken install' to correct these.
The following packages have unmet dependencies:
 eddie-ui : Depends: libappindicator1 but it is not going to be installed
            Depends: mono-runtime but it is not going to be installed
            Depends: mono-utils but it is not going to be installed
            Depends: libmono-system-core4.0-cil but it is not going to be installed
            Depends: libmono-system-windows-forms4.0-cil but it is not going to be installed
            Depends: stunnel4 but it is not going to be installed
            Depends: libsecret-tools but it is not going to be installed
E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).
root@amnesia:/home/amnesia/Persistent# apt --fix-broken install
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following package was automatically installed and is no longer required:
  libpcre2-posix0
Use 'sudo apt autoremove' to remove it.
The following additional packages will be installed:
  binutils binutils-common binutils-x86-64-linux-gnu libappindicator1
  libbinutils libdbusmenu-gtk4 libgdiplus libindicator7
  libmono-accessibility4.0-cil libmono-corlib4.5-cil libmono-i18n-west4.0-cil
  libmono-i18n4.0-cil libmono-posix4.0-cil libmono-security4.0-cil
  libmono-system-configuration4.0-cil libmono-system-core4.0-cil
  libmono-system-data4.0-cil libmono-system-drawing4.0-cil
  libmono-system-enterpriseservices4.0-cil libmono-system-numerics4.0-cil
  libmono-system-runtime-serialization-formatters-soap4.0-cil
  libmono-system-security4.0-cil libmono-system-transactions4.0-cil
  libmono-system-windows-forms4.0-cil libmono-system-xml4.0-cil
  libmono-system4.0-cil libmono-webbrowser4.0-cil libmonoboehm-2.0-1
  libsecret-tools mono-4.0-gac mono-gac mono-runtime mono-runtime-common
  mono-runtime-sgen mono-utils stunnel4
Suggested packages:
  binutils-doc libmono-i18n4.0-all libgnomeui-0 libgamin0 logcheck-database
Recommended packages:
  ca-certificates-mono libmono-btls-interface4.0-cil libgluezilla cli-common
  binfmt-support
The following NEW packages will be installed:
  binutils binutils-common binutils-x86-64-linux-gnu libappindicator1
  libbinutils libdbusmenu-gtk4 libgdiplus libindicator7
  libmono-accessibility4.0-cil libmono-corlib4.5-cil libmono-i18n-west4.0-cil
  libmono-i18n4.0-cil libmono-posix4.0-cil libmono-security4.0-cil
  libmono-system-configuration4.0-cil libmono-system-core4.0-cil
  libmono-system-data4.0-cil libmono-system-drawing4.0-cil
  libmono-system-enterpriseservices4.0-cil libmono-system-numerics4.0-cil
  libmono-system-runtime-serialization-formatters-soap4.0-cil
  libmono-system-security4.0-cil libmono-system-transactions4.0-cil
  libmono-system-windows-forms4.0-cil libmono-system-xml4.0-cil
  libmono-system4.0-cil libmono-webbrowser4.0-cil libmonoboehm-2.0-1
  libsecret-tools mono-4.0-gac mono-gac mono-runtime mono-runtime-common
  mono-runtime-sgen mono-utils stunnel4
0 upgraded, 36 newly installed, 0 to remove and 28 not upgraded.
1 not fully installed or removed.
Need to get 0 B/19.7 MB of archives.
After this operation, 83.8 MB of additional disk space will be used.
Do you want to continue? [Y/n] Y
Extracting templates from packages: 100%
[INFO] Saving package changes
Selecting previously unselected package libdbusmenu-gtk4:amd64.
(Reading database ... 138611 files and directories currently installed.)
Preparing to unpack .../00-libdbusmenu-gtk4_18.10.20180917~bzr490+repack1-1_amd64.deb ...
Unpacking libdbusmenu-gtk4:amd64 (18.10.20180917~bzr490+repack1-1) ...
Selecting previously unselected package libindicator7:amd64.
Preparing to unpack .../01-libindicator7_0.5.0-4_amd64.deb ...
Unpacking libindicator7:amd64 (0.5.0-4) ...
Selecting previously unselected package libappindicator1:amd64.
Preparing to unpack .../02-libappindicator1_0.4.92-7_amd64.deb ...
Unpacking libappindicator1:amd64 (0.4.92-7) ...
Selecting previously unselected package binutils-common:amd64.
Preparing to unpack .../03-binutils-common_2.31.1-16_amd64.deb ...
Unpacking binutils-common:amd64 (2.31.1-16) ...
Selecting previously unselected package libbinutils:amd64.
Preparing to unpack .../04-libbinutils_2.31.1-16_amd64.deb ...
Unpacking libbinutils:amd64 (2.31.1-16) ...
Selecting previously unselected package binutils-x86-64-linux-gnu.
Preparing to unpack .../05-binutils-x86-64-linux-gnu_2.31.1-16_amd64.deb ...
Unpacking binutils-x86-64-linux-gnu (2.31.1-16) ...
Selecting previously unselected package binutils.
Preparing to unpack .../06-binutils_2.31.1-16_amd64.deb ...
Unpacking binutils (2.31.1-16) ...
Selecting previously unselected package libmono-corlib4.5-cil.
Preparing to unpack .../07-libmono-corlib4.5-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-corlib4.5-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-system-core4.0-cil.
Preparing to unpack .../08-libmono-system-core4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-system-core4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-system-numerics4.0-cil.
Preparing to unpack .../09-libmono-system-numerics4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-system-numerics4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-system-xml4.0-cil.
Preparing to unpack .../10-libmono-system-xml4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-system-xml4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-system-security4.0-cil.
Preparing to unpack .../11-libmono-system-security4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-system-security4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-system-configuration4.0-cil.
Preparing to unpack .../12-libmono-system-configuration4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-system-configuration4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-system4.0-cil.
Preparing to unpack .../13-libmono-system4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-system4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-security4.0-cil.
Preparing to unpack .../14-libmono-security4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-security4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package mono-4.0-gac.
Preparing to unpack .../15-mono-4.0-gac_5.18.0.240+dfsg-3_all.deb ...
Unpacking mono-4.0-gac (5.18.0.240+dfsg-3) ...
Selecting previously unselected package mono-gac.
Preparing to unpack .../16-mono-gac_5.18.0.240+dfsg-3_all.deb ...
Unpacking mono-gac (5.18.0.240+dfsg-3) ...
Selecting previously unselected package mono-runtime-common.
Preparing to unpack .../17-mono-runtime-common_5.18.0.240+dfsg-3_amd64.deb ...
Unpacking mono-runtime-common (5.18.0.240+dfsg-3) ...
Selecting previously unselected package mono-runtime-sgen.
Preparing to unpack .../18-mono-runtime-sgen_5.18.0.240+dfsg-3_amd64.deb ...
Unpacking mono-runtime-sgen (5.18.0.240+dfsg-3) ...
Selecting previously unselected package mono-runtime.
Preparing to unpack .../19-mono-runtime_5.18.0.240+dfsg-3_amd64.deb ...
Unpacking mono-runtime (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmonoboehm-2.0-1.
Preparing to unpack .../20-libmonoboehm-2.0-1_5.18.0.240+dfsg-3_amd64.deb ...
Unpacking libmonoboehm-2.0-1 (5.18.0.240+dfsg-3) ...
Selecting previously unselected package mono-utils.
Preparing to unpack .../21-mono-utils_5.18.0.240+dfsg-3_amd64.deb ...
Unpacking mono-utils (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-accessibility4.0-cil.
Preparing to unpack .../22-libmono-accessibility4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-accessibility4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-posix4.0-cil.
Preparing to unpack .../23-libmono-posix4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-posix4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-system-transactions4.0-cil.
Preparing to unpack .../24-libmono-system-transactions4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-system-transactions4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-system-enterpriseservices4.0-cil.
Preparing to unpack .../25-libmono-system-enterpriseservices4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-system-enterpriseservices4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-system-data4.0-cil.
Preparing to unpack .../26-libmono-system-data4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-system-data4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libgdiplus.
Preparing to unpack .../27-libgdiplus_4.2-2_amd64.deb ...
Unpacking libgdiplus (4.2-2) ...
Selecting previously unselected package libmono-system-drawing4.0-cil.
Preparing to unpack .../28-libmono-system-drawing4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-system-drawing4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-system-runtime-serialization-formatters-soap4.0-cil.
Preparing to unpack .../29-libmono-system-runtime-serialization-formatters-soap4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-system-runtime-serialization-formatters-soap4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-webbrowser4.0-cil.
Preparing to unpack .../30-libmono-webbrowser4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-webbrowser4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-i18n4.0-cil.
Preparing to unpack .../31-libmono-i18n4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-i18n4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-i18n-west4.0-cil.
Preparing to unpack .../32-libmono-i18n-west4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-i18n-west4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-system-windows-forms4.0-cil.
Preparing to unpack .../33-libmono-system-windows-forms4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-system-windows-forms4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package stunnel4.
Preparing to unpack .../34-stunnel4_3%3a5.50-3_amd64.deb ...
Unpacking stunnel4 (3:5.50-3) ...
Selecting previously unselected package libsecret-tools.
Preparing to unpack .../35-libsecret-tools_0.18.7-1_amd64.deb ...
Unpacking libsecret-tools (0.18.7-1) ...
Setting up stunnel4 (3:5.50-3) ...
Warning: The home dir /var/run/stunnel4 you specified can't be accessed: No such file or directory
Adding system user `stunnel4' (UID 113) ...
Adding new group `stunnel4' (GID 129) ...
Adding new user `stunnel4' (UID 113) with group `stunnel4' ...
Not creating home directory `/var/run/stunnel4'.
Setting up binutils-common:amd64 (2.31.1-16) ...
Setting up libgdiplus (4.2-2) ...
Setting up libmonoboehm-2.0-1 (5.18.0.240+dfsg-3) ...
Setting up libindicator7:amd64 (0.5.0-4) ...
Setting up libsecret-tools (0.18.7-1) ...
Setting up libbinutils:amd64 (2.31.1-16) ...
Setting up libdbusmenu-gtk4:amd64 (18.10.20180917~bzr490+repack1-1) ...
Setting up binutils-x86-64-linux-gnu (2.31.1-16) ...
Setting up libappindicator1:amd64 (0.4.92-7) ...
Setting up binutils (2.31.1-16) ...
Setting up libmono-system-xml4.0-cil (5.18.0.240+dfsg-3) ...
Setting up libmono-security4.0-cil (5.18.0.240+dfsg-3) ...
Setting up mono-runtime-sgen (5.18.0.240+dfsg-3) ...
Setting up mono-runtime (5.18.0.240+dfsg-3) ...
update-alternatives: using /usr/bin/mono to provide /usr/bin/cli (cli) in auto mode
Setting up libmono-system-configuration4.0-cil (5.18.0.240+dfsg-3) ...
Setting up libmono-system4.0-cil (5.18.0.240+dfsg-3) ...
Setting up libmono-corlib4.5-cil (5.18.0.240+dfsg-3) ...
Setting up libmono-accessibility4.0-cil (5.18.0.240+dfsg-3) ...
Setting up libmono-i18n4.0-cil (5.18.0.240+dfsg-3) ...
Setting up libmono-system-numerics4.0-cil (5.18.0.240+dfsg-3) ...
Setting up libmono-posix4.0-cil (5.18.0.240+dfsg-3) ...
Setting up mono-utils (5.18.0.240+dfsg-3) ...
update-alternatives: using /usr/bin/monodis to provide /usr/bin/cli-ildasm (cil-disassembler) in auto mode
Setting up libmono-system-core4.0-cil (5.18.0.240+dfsg-3) ...
Setting up libmono-webbrowser4.0-cil (5.18.0.240+dfsg-3) ...
Setting up libmono-system-runtime-serialization-formatters-soap4.0-cil (5.18.0.240+dfsg-3) ...
Setting up libmono-i18n-west4.0-cil (5.18.0.240+dfsg-3) ...
Setting up libmono-system-security4.0-cil (5.18.0.240+dfsg-3) ...
Setting up libmono-system-drawing4.0-cil (5.18.0.240+dfsg-3) ...
Setting up libmono-system-transactions4.0-cil (5.18.0.240+dfsg-3) ...
Setting up mono-4.0-gac (5.18.0.240+dfsg-3) ...
Setting up mono-gac (5.18.0.240+dfsg-3) ...
update-alternatives: using /usr/bin/gacutil to provide /usr/bin/cli-gacutil (global-assembly-cache-tool) in auto mode
Setting up mono-runtime-common (5.18.0.240+dfsg-3) ...
Setting up libmono-system-enterpriseservices4.0-cil (5.18.0.240+dfsg-3) ...
Setting up libmono-system-data4.0-cil (5.18.0.240+dfsg-3) ...
Setting up libmono-system-windows-forms4.0-cil (5.18.0.240+dfsg-3) ...
Setting up eddie-ui (2.19.4) ...
Processing triggers for desktop-file-utils (0.23-4.0tails1) ...
Processing triggers for mime-support (3.62) ...
Processing triggers for gnome-menus (3.31.4-3) ...
Processing triggers for libc-bin (2.28-10) ...
Processing triggers for systemd (241-7~deb10u4) ...
Processing triggers for man-db (2.8.5-2) ...
[INFO] Examining package changes
root@amnesia:/home/amnesia/Persistent# 

Share this post


Link to post
1 hour ago, discov said:

:$ sudo su


I cringe everytime I see this. And so many people seem to use it.

$ sudo -s


Anyway, your package install checks out. APT was able to install all needed dependencies. Does Eddie launch now?

» I am not an AirVPN team member. All opinions are my own and are not to be considered official. Only the AirVPN Staff account should be viewed as such.

» The forums is a place where you can ask questions to the community. You are not entitled to guaranteed answer times. Answer quality may vary, too. If you need professional support, please create tickets.

» If you're new, take some time to read LZ1's New User Guide to AirVPN. On questions, use the search function first. On errors, search for the error message instead.

» If you choose to create a new thread, keep in mind that we don't know your setup. Give info about it. Never forget the OpenVPN logs or, for Eddie, the support file (Logs > lifebelt icon).

» The community kindly asks you to not set up Tor exit relays when connected to AirVPN. Their IP addresses are subject to restrictions and these are relayed to all users of the affected servers.

 

» Furthermore, I propose that your paranoia is to be destroyed. If you overdo privacy, chances are you will be unique amond the mass again.

Share this post


Link to post
1 hour ago, giganerd said:
No, it wasn't.

The logs are below. Any help.

:$ sudo -s
[sudo] password for amnesia: 
root@amnesia:/home/amnesia# sudo apt-get -f install
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following package was automatically installed and is no longer required:
  libpcre2-posix0
Use 'sudo apt autoremove' to remove it.
0 upgraded, 0 newly installed, 0 to remove and 28 not upgraded.
root@amnesia:/home/amnesia# cd Persistent
root@amnesia:/home/amnesia/Persistent# sudo dpkg -i eddie-ui_2.19.4_linux_x64_debian.deb
Selecting previously unselected package eddie-ui.
(Reading database ... 138517 files and directories currently installed.)
Preparing to unpack eddie-ui_2.19.4_linux_x64_debian.deb ...
Unpacking eddie-ui (2.19.4) ...
dpkg: dependency problems prevent configuration of eddie-ui:
 eddie-ui depends on libappindicator1; however:
  Package libappindicator1 is not installed.
 eddie-ui depends on mono-runtime; however:
  Package mono-runtime is not installed.
 eddie-ui depends on mono-utils; however:
  Package mono-utils is not installed.
 eddie-ui depends on libmono-system-core4.0-cil; however:
  Package libmono-system-core4.0-cil is not installed.
 eddie-ui depends on libmono-system-windows-forms4.0-cil; however:
  Package libmono-system-windows-forms4.0-cil is not installed.
 eddie-ui depends on stunnel4; however:
  Package stunnel4 is not installed.
 eddie-ui depends on libsecret-tools; however:
  Package libsecret-tools is not installed.

dpkg: error processing package eddie-ui (--install):
 dependency problems - leaving unconfigured
Processing triggers for gnome-menus (3.31.4-3) ...
Processing triggers for desktop-file-utils (0.23-4.0tails1) ...
Processing triggers for mime-support (3.62) ...
Processing triggers for man-db (2.8.5-2) ...
Errors were encountered while processing:
 eddie-ui
root@amnesia:/home/amnesia/Persistent# sudo apt-get install openvpn
Reading package lists... Done
Building dependency tree       
Reading state information... Done
openvpn is already the newest version (2.4.7-1).
You might want to run 'apt --fix-broken install' to correct these.
The following packages have unmet dependencies:
 eddie-ui : Depends: libappindicator1 but it is not going to be installed
            Depends: mono-runtime but it is not going to be installed
            Depends: mono-utils but it is not going to be installed
            Depends: libmono-system-core4.0-cil but it is not going to be installed
            Depends: libmono-system-windows-forms4.0-cil but it is not going to be installed
            Depends: stunnel4 but it is not going to be installed
            Depends: libsecret-tools but it is not going to be installed
E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).
root@amnesia:/home/amnesia/Persistent# apt --fix-broken install
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following package was automatically installed and is no longer required:
  libpcre2-posix0
Use 'apt autoremove' to remove it.
The following additional packages will be installed:
  binutils binutils-common binutils-x86-64-linux-gnu libappindicator1 libbinutils libdbusmenu-gtk4 libgdiplus libindicator7
  libmono-accessibility4.0-cil libmono-corlib4.5-cil libmono-i18n-west4.0-cil libmono-i18n4.0-cil libmono-posix4.0-cil libmono-security4.0-cil
  libmono-system-configuration4.0-cil libmono-system-core4.0-cil libmono-system-data4.0-cil libmono-system-drawing4.0-cil
  libmono-system-enterpriseservices4.0-cil libmono-system-numerics4.0-cil libmono-system-runtime-serialization-formatters-soap4.0-cil
  libmono-system-security4.0-cil libmono-system-transactions4.0-cil libmono-system-windows-forms4.0-cil libmono-system-xml4.0-cil
  libmono-system4.0-cil libmono-webbrowser4.0-cil libmonoboehm-2.0-1 libsecret-tools mono-4.0-gac mono-gac mono-runtime mono-runtime-common
  mono-runtime-sgen mono-utils stunnel4
Suggested packages:
  binutils-doc libmono-i18n4.0-all libgnomeui-0 libgamin0 logcheck-database
Recommended packages:
  ca-certificates-mono libmono-btls-interface4.0-cil libgluezilla cli-common binfmt-support
The following NEW packages will be installed:
  binutils binutils-common binutils-x86-64-linux-gnu libappindicator1 libbinutils libdbusmenu-gtk4 libgdiplus libindicator7
  libmono-accessibility4.0-cil libmono-corlib4.5-cil libmono-i18n-west4.0-cil libmono-i18n4.0-cil libmono-posix4.0-cil libmono-security4.0-cil
  libmono-system-configuration4.0-cil libmono-system-core4.0-cil libmono-system-data4.0-cil libmono-system-drawing4.0-cil
  libmono-system-enterpriseservices4.0-cil libmono-system-numerics4.0-cil libmono-system-runtime-serialization-formatters-soap4.0-cil
  libmono-system-security4.0-cil libmono-system-transactions4.0-cil libmono-system-windows-forms4.0-cil libmono-system-xml4.0-cil
  libmono-system4.0-cil libmono-webbrowser4.0-cil libmonoboehm-2.0-1 libsecret-tools mono-4.0-gac mono-gac mono-runtime mono-runtime-common
  mono-runtime-sgen mono-utils stunnel4
0 upgraded, 36 newly installed, 0 to remove and 28 not upgraded.
1 not fully installed or removed.
Need to get 45.7 kB/19.7 MB of archives.
After this operation, 83.8 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 tor+http://vwakviie2ienjx6t.onion/debian buster/main amd64 libdbusmenu-gtk4 amd64 18.10.20180917~bzr490+repack1-1 [45.7 kB]
Fetched 45.7 kB in 5s (10.1 kB/s)
Extracting templates from packages: 100%
[INFO] Saving package changes
Selecting previously unselected package libdbusmenu-gtk4:amd64.
(Reading database ... 138550 files and directories currently installed.)
Preparing to unpack .../00-libdbusmenu-gtk4_18.10.20180917~bzr490+repack1-1_amd64.deb ...
Unpacking libdbusmenu-gtk4:amd64 (18.10.20180917~bzr490+repack1-1) ...
Selecting previously unselected package libindicator7:amd64.
Preparing to unpack .../01-libindicator7_0.5.0-4_amd64.deb ...
Unpacking libindicator7:amd64 (0.5.0-4) ...
Selecting previously unselected package libappindicator1:amd64.
Preparing to unpack .../02-libappindicator1_0.4.92-7_amd64.deb ...
Unpacking libappindicator1:amd64 (0.4.92-7) ...
Selecting previously unselected package binutils-common:amd64.
Preparing to unpack .../03-binutils-common_2.31.1-16_amd64.deb ...
Unpacking binutils-common:amd64 (2.31.1-16) ...
Selecting previously unselected package libbinutils:amd64.
Preparing to unpack .../04-libbinutils_2.31.1-16_amd64.deb ...
Unpacking libbinutils:amd64 (2.31.1-16) ...
Selecting previously unselected package binutils-x86-64-linux-gnu.
Preparing to unpack .../05-binutils-x86-64-linux-gnu_2.31.1-16_amd64.deb ...
Unpacking binutils-x86-64-linux-gnu (2.31.1-16) ...
Selecting previously unselected package binutils.
Preparing to unpack .../06-binutils_2.31.1-16_amd64.deb ...
Unpacking binutils (2.31.1-16) ...
Selecting previously unselected package libmono-corlib4.5-cil.
Preparing to unpack .../07-libmono-corlib4.5-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-corlib4.5-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-system-core4.0-cil.
Preparing to unpack .../08-libmono-system-core4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-system-core4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-system-numerics4.0-cil.
Preparing to unpack .../09-libmono-system-numerics4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-system-numerics4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-system-xml4.0-cil.
Preparing to unpack .../10-libmono-system-xml4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-system-xml4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-system-security4.0-cil.
Preparing to unpack .../11-libmono-system-security4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-system-security4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-system-configuration4.0-cil.
Preparing to unpack .../12-libmono-system-configuration4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-system-configuration4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-system4.0-cil.
Preparing to unpack .../13-libmono-system4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-system4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-security4.0-cil.
Preparing to unpack .../14-libmono-security4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-security4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package mono-4.0-gac.
Preparing to unpack .../15-mono-4.0-gac_5.18.0.240+dfsg-3_all.deb ...
Unpacking mono-4.0-gac (5.18.0.240+dfsg-3) ...
Selecting previously unselected package mono-gac.
Preparing to unpack .../16-mono-gac_5.18.0.240+dfsg-3_all.deb ...
Unpacking mono-gac (5.18.0.240+dfsg-3) ...
Selecting previously unselected package mono-runtime-common.
Preparing to unpack .../17-mono-runtime-common_5.18.0.240+dfsg-3_amd64.deb ...
Unpacking mono-runtime-common (5.18.0.240+dfsg-3) ...
Selecting previously unselected package mono-runtime-sgen.
Preparing to unpack .../18-mono-runtime-sgen_5.18.0.240+dfsg-3_amd64.deb ...
Unpacking mono-runtime-sgen (5.18.0.240+dfsg-3) ...
Selecting previously unselected package mono-runtime.
Preparing to unpack .../19-mono-runtime_5.18.0.240+dfsg-3_amd64.deb ...
Unpacking mono-runtime (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmonoboehm-2.0-1.
Preparing to unpack .../20-libmonoboehm-2.0-1_5.18.0.240+dfsg-3_amd64.deb ...
Unpacking libmonoboehm-2.0-1 (5.18.0.240+dfsg-3) ...
Selecting previously unselected package mono-utils.
Preparing to unpack .../21-mono-utils_5.18.0.240+dfsg-3_amd64.deb ...
Unpacking mono-utils (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-accessibility4.0-cil.
Preparing to unpack .../22-libmono-accessibility4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-accessibility4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-posix4.0-cil.
Preparing to unpack .../23-libmono-posix4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-posix4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-system-transactions4.0-cil.
Preparing to unpack .../24-libmono-system-transactions4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-system-transactions4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-system-enterpriseservices4.0-cil.
Preparing to unpack .../25-libmono-system-enterpriseservices4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-system-enterpriseservices4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-system-data4.0-cil.
Preparing to unpack .../26-libmono-system-data4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-system-data4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libgdiplus.
Preparing to unpack .../27-libgdiplus_4.2-2_amd64.deb ...
Unpacking libgdiplus (4.2-2) ...
Selecting previously unselected package libmono-system-drawing4.0-cil.
Preparing to unpack .../28-libmono-system-drawing4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-system-drawing4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-system-runtime-serialization-formatters-soap4.0-cil.
Preparing to unpack .../29-libmono-system-runtime-serialization-formatters-soap4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-system-runtime-serialization-formatters-soap4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-webbrowser4.0-cil.
Preparing to unpack .../30-libmono-webbrowser4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-webbrowser4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-i18n4.0-cil.
Preparing to unpack .../31-libmono-i18n4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-i18n4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-i18n-west4.0-cil.
Preparing to unpack .../32-libmono-i18n-west4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-i18n-west4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-system-windows-forms4.0-cil.
Preparing to unpack .../33-libmono-system-windows-forms4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-system-windows-forms4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package stunnel4.
Preparing to unpack .../34-stunnel4_3%3a5.50-3_amd64.deb ...
Unpacking stunnel4 (3:5.50-3) ...
Selecting previously unselected package libsecret-tools.
Preparing to unpack .../35-libsecret-tools_0.18.7-1_amd64.deb ...
Unpacking libsecret-tools (0.18.7-1) ...
Setting up stunnel4 (3:5.50-3) ...
Warning: The home dir /var/run/stunnel4 you specified can't be accessed: No such file or directory
Adding system user `stunnel4' (UID 113) ...
Adding new group `stunnel4' (GID 129) ...
Adding new user `stunnel4' (UID 113) with group `stunnel4' ...
Not creating home directory `/var/run/stunnel4'.
Setting up binutils-common:amd64 (2.31.1-16) ...
Setting up libgdiplus (4.2-2) ...
Setting up libmonoboehm-2.0-1 (5.18.0.240+dfsg-3) ...
Setting up libindicator7:amd64 (0.5.0-4) ...
Setting up libsecret-tools (0.18.7-1) ...
Setting up libbinutils:amd64 (2.31.1-16) ...
Setting up libdbusmenu-gtk4:amd64 (18.10.20180917~bzr490+repack1-1) ...
Setting up binutils-x86-64-linux-gnu (2.31.1-16) ...
Setting up libappindicator1:amd64 (0.4.92-7) ...
Setting up binutils (2.31.1-16) ...
Setting up libmono-system-xml4.0-cil (5.18.0.240+dfsg-3) ...
Setting up libmono-security4.0-cil (5.18.0.240+dfsg-3) ...
Setting up mono-runtime-sgen (5.18.0.240+dfsg-3) ...
Setting up mono-runtime (5.18.0.240+dfsg-3) ...
update-alternatives: using /usr/bin/mono to provide /usr/bin/cli (cli) in auto mode
Setting up libmono-system-configuration4.0-cil (5.18.0.240+dfsg-3) ...
Setting up libmono-system4.0-cil (5.18.0.240+dfsg-3) ...
Setting up libmono-corlib4.5-cil (5.18.0.240+dfsg-3) ...
Setting up libmono-accessibility4.0-cil (5.18.0.240+dfsg-3) ...
Setting up libmono-i18n4.0-cil (5.18.0.240+dfsg-3) ...
Setting up libmono-system-numerics4.0-cil (5.18.0.240+dfsg-3) ...
Setting up libmono-posix4.0-cil (5.18.0.240+dfsg-3) ...
Setting up mono-utils (5.18.0.240+dfsg-3) ...
update-alternatives: using /usr/bin/monodis to provide /usr/bin/cli-ildasm (cil-disassembler) in auto mode
Setting up libmono-system-core4.0-cil (5.18.0.240+dfsg-3) ...
Setting up libmono-webbrowser4.0-cil (5.18.0.240+dfsg-3) ...
Setting up libmono-system-runtime-serialization-formatters-soap4.0-cil (5.18.0.240+dfsg-3) ...
Setting up libmono-i18n-west4.0-cil (5.18.0.240+dfsg-3) ...
Setting up libmono-system-security4.0-cil (5.18.0.240+dfsg-3) ...
Setting up libmono-system-drawing4.0-cil (5.18.0.240+dfsg-3) ...
Setting up libmono-system-transactions4.0-cil (5.18.0.240+dfsg-3) ...
Setting up mono-4.0-gac (5.18.0.240+dfsg-3) ...
Setting up mono-gac (5.18.0.240+dfsg-3) ...
update-alternatives: using /usr/bin/gacutil to provide /usr/bin/cli-gacutil (global-assembly-cache-tool) in auto mode
Setting up mono-runtime-common (5.18.0.240+dfsg-3) ...
Setting up libmono-system-enterpriseservices4.0-cil (5.18.0.240+dfsg-3) ...
Setting up libmono-system-data4.0-cil (5.18.0.240+dfsg-3) ...
Setting up libmono-system-windows-forms4.0-cil (5.18.0.240+dfsg-3) ...
Setting up eddie-ui (2.19.4) ...
Processing triggers for desktop-file-utils (0.23-4.0tails1) ...
Processing triggers for mime-support (3.62) ...
Processing triggers for gnome-menus (3.31.4-3) ...
Processing triggers for libc-bin (2.28-10) ...
Processing triggers for systemd (241-7~deb10u4) ...
Processing triggers for man-db (2.8.5-2) ...
[INFO] Examining package changes
root@amnesia:/home/amnesia/Persistent# 



I cringe everytime I see this. And so many people seem to use it.

$ sudo -s


Anyway, your package install checks out. APT was able to install all needed dependencies. Does Eddie launch now?

Share this post


Link to post

Try launching Eddie from terminal and paste the output, please.


» I am not an AirVPN team member. All opinions are my own and are not to be considered official. Only the AirVPN Staff account should be viewed as such.

» The forums is a place where you can ask questions to the community. You are not entitled to guaranteed answer times. Answer quality may vary, too. If you need professional support, please create tickets.

» If you're new, take some time to read LZ1's New User Guide to AirVPN. On questions, use the search function first. On errors, search for the error message instead.

» If you choose to create a new thread, keep in mind that we don't know your setup. Give info about it. Never forget the OpenVPN logs or, for Eddie, the support file (Logs > lifebelt icon).

» The community kindly asks you to not set up Tor exit relays when connected to AirVPN. Their IP addresses are subject to restrictions and these are relayed to all users of the affected servers.

 

» Furthermore, I propose that your paranoia is to be destroyed. If you overdo privacy, chances are you will be unique amond the mass again.

Share this post


Link to post

Hi giganerd,
Do you have any command to launch eddie from terminal. Please let me know.
THe logs are same as previously, ie. stop at examining package changes. ANy help

:$ sudo su
[sudo] password for amnesia: 
root@amnesia:/home/amnesia# cd Persistent
root@amnesia:/home/amnesia/Persistent# sudo dpkg -i eddie-ui_2.19.4_linux_x64_debian.deb
Selecting previously unselected package eddie-ui.
(Reading database ... 138597 files and directories currently installed.)
Preparing to unpack eddie-ui_2.19.4_linux_x64_debian.deb ...
Unpacking eddie-ui (2.19.4) ...
dpkg: dependency problems prevent configuration of eddie-ui:
 eddie-ui depends on libappindicator1; however:
  Package libappindicator1 is not installed.
 eddie-ui depends on mono-runtime; however:
  Package mono-runtime is not installed.
 eddie-ui depends on mono-utils; however:
  Package mono-utils is not installed.
 eddie-ui depends on libmono-system-core4.0-cil; however:
  Package libmono-system-core4.0-cil is not installed.
 eddie-ui depends on libmono-system-windows-forms4.0-cil; however:
  Package libmono-system-windows-forms4.0-cil is not installed.
 eddie-ui depends on stunnel4; however:
  Package stunnel4 is not installed.
 eddie-ui depends on libsecret-tools; however:
  Package libsecret-tools is not installed.

dpkg: error processing package eddie-ui (--install):
 dependency problems - leaving unconfigured
Processing triggers for gnome-menus (3.31.4-3) ...
Processing triggers for desktop-file-utils (0.23-4.0tails1) ...
Processing triggers for mime-support (3.62) ...
Processing triggers for man-db (2.8.5-2) ...
Errors were encountered while processing:
 eddie-ui
root@amnesia:/home/amnesia/Persistent# sudo apt-get -f install
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following package was automatically installed and is no longer required:
  libpcre2-posix0
Use 'sudo apt autoremove' to remove it.
The following additional packages will be installed:
  binutils binutils-common binutils-x86-64-linux-gnu libappindicator1
  libbinutils libdbusmenu-gtk4 libgdiplus libindicator7
  libmono-accessibility4.0-cil libmono-corlib4.5-cil libmono-i18n-west4.0-cil
  libmono-i18n4.0-cil libmono-posix4.0-cil libmono-security4.0-cil
  libmono-system-configuration4.0-cil libmono-system-core4.0-cil
  libmono-system-data4.0-cil libmono-system-drawing4.0-cil
  libmono-system-enterpriseservices4.0-cil libmono-system-numerics4.0-cil
  libmono-system-runtime-serialization-formatters-soap4.0-cil
  libmono-system-security4.0-cil libmono-system-transactions4.0-cil
  libmono-system-windows-forms4.0-cil libmono-system-xml4.0-cil
  libmono-system4.0-cil libmono-webbrowser4.0-cil libmonoboehm-2.0-1
  libsecret-tools mono-4.0-gac mono-gac mono-runtime mono-runtime-common
  mono-runtime-sgen mono-utils stunnel4
Suggested packages:
  binutils-doc libmono-i18n4.0-all libgnomeui-0 libgamin0 logcheck-database
Recommended packages:
  ca-certificates-mono libmono-btls-interface4.0-cil libgluezilla cli-common
  binfmt-support
The following NEW packages will be installed:
  binutils binutils-common binutils-x86-64-linux-gnu libappindicator1
  libbinutils libdbusmenu-gtk4 libgdiplus libindicator7
  libmono-accessibility4.0-cil libmono-corlib4.5-cil libmono-i18n-west4.0-cil
  libmono-i18n4.0-cil libmono-posix4.0-cil libmono-security4.0-cil
  libmono-system-configuration4.0-cil libmono-system-core4.0-cil
  libmono-system-data4.0-cil libmono-system-drawing4.0-cil
  libmono-system-enterpriseservices4.0-cil libmono-system-numerics4.0-cil
  libmono-system-runtime-serialization-formatters-soap4.0-cil
  libmono-system-security4.0-cil libmono-system-transactions4.0-cil
  libmono-system-windows-forms4.0-cil libmono-system-xml4.0-cil
  libmono-system4.0-cil libmono-webbrowser4.0-cil libmonoboehm-2.0-1
  libsecret-tools mono-4.0-gac mono-gac mono-runtime mono-runtime-common
  mono-runtime-sgen mono-utils stunnel4
0 upgraded, 36 newly installed, 0 to remove and 28 not upgraded.
1 not fully installed or removed.
Need to get 19.7 MB of archives.
After this operation, 83.8 MB of additional disk space will be used.
Do you want to continue? [Y/n] Y
Get:1 tor+http://vwakviie2ienjx6t.onion/debian buster/main amd64 libdbusmenu-gtk4 amd64 18.10.20180917~bzr490+repack1-1 [45.7 kB]
Get:2 tor+http://vwakviie2ienjx6t.onion/debian buster/main amd64 libindicator7 amd64 0.5.0-4 [53.0 kB]
Get:3 tor+http://vwakviie2ienjx6t.onion/debian buster/main amd64 libappindicator1 amd64 0.4.92-7 [53.3 kB]
Get:4 tor+http://vwakviie2ienjx6t.onion/debian buster/main amd64 binutils-common amd64 2.31.1-16 [2,073 kB]
Get:5 tor+http://vwakviie2ienjx6t.onion/debian buster/main amd64 libbinutils amd64 2.31.1-16 [478 kB]                                                
Get:6 tor+http://vwakviie2ienjx6t.onion/debian buster/main amd64 binutils-x86-64-linux-gnu amd64 2.31.1-16 [1,823 kB]                                
Get:6 tor+http://vwakviie2ienjx6t.onion/debian buster/main amd64 binutils-x86-64-linux-gnu amd64 2.31.1-16 [1,823 kB]                                
Get:7 tor+http://vwakviie2ienjx6t.onion/debian buster/main amd64 binutils amd64 2.31.1-16 [56.8 kB]                                                  
Get:8 tor+http://vwakviie2ienjx6t.onion/debian buster/main amd64 libmono-corlib4.5-cil all 5.18.0.240+dfsg-3 [1,249 kB]                              
Get:8 tor+http://vwakviie2ienjx6t.onion/debian buster/main amd64 libmono-corlib4.5-cil all 5.18.0.240+dfsg-3 [1,249 kB]                              
Get:9 tor+http://vwakviie2ienjx6t.onion/debian buster/main amd64 libmono-system-core4.0-cil all 5.18.0.240+dfsg-3 [318 kB]                           
Get:10 tor+http://vwakviie2ienjx6t.onion/debian buster/main amd64 libmono-system-numerics4.0-cil all 5.18.0.240+dfsg-3 [71.5 kB]                     
Get:11 tor+http://vwakviie2ienjx6t.onion/debian buster/main amd64 libmono-system-xml4.0-cil all 5.18.0.240+dfsg-3 [839 kB]                           
Get:12 tor+http://vwakviie2ienjx6t.onion/debian buster/main amd64 libmono-system-security4.0-cil all 5.18.0.240+dfsg-3 [131 kB]                      
Get:13 tor+http://vwakviie2ienjx6t.onion/debian buster/main amd64 libmono-system-configuration4.0-cil all 5.18.0.240+dfsg-3 [77.8 kB]                
Get:14 tor+http://vwakviie2ienjx6t.onion/debian buster/main amd64 libmono-system4.0-cil all 5.18.0.240+dfsg-3 [812 kB]                               
Get:14 tor+http://vwakviie2ienjx6t.onion/debian buster/main amd64 libmono-system4.0-cil all 5.18.0.240+dfsg-3 [812 kB]                               
Get:15 tor+http://vwakviie2ienjx6t.onion/debian buster/main amd64 libmono-security4.0-cil all 5.18.0.240+dfsg-3 [142 kB]                             
Get:16 tor+http://vwakviie2ienjx6t.onion/debian buster/main amd64 mono-4.0-gac all 5.18.0.240+dfsg-3 [176 kB]                                        
Get:17 tor+http://vwakviie2ienjx6t.onion/debian buster/main amd64 mono-gac all 5.18.0.240+dfsg-3 [41.5 kB]                                           
Get:18 tor+http://vwakviie2ienjx6t.onion/debian buster/main amd64 mono-runtime-common amd64 5.18.0.240+dfsg-3 [941 kB]                               
Get:19 tor+http://vwakviie2ienjx6t.onion/debian buster/main amd64 mono-runtime-sgen amd64 5.18.0.240+dfsg-3 [1,631 kB]                               
Get:20 tor+http://vwakviie2ienjx6t.onion/debian buster/main amd64 mono-runtime amd64 5.18.0.240+dfsg-3 [37.5 kB]                                     
Get:21 tor+http://vwakviie2ienjx6t.onion/debian buster/main amd64 libmonoboehm-2.0-1 amd64 5.18.0.240+dfsg-3 [1,564 kB]                              
Get:22 tor+http://vwakviie2ienjx6t.onion/debian buster/main amd64 mono-utils amd64 5.18.0.240+dfsg-3 [4,675 kB]                                      
Get:22 tor+http://vwakviie2ienjx6t.onion/debian buster/main amd64 mono-utils amd64 5.18.0.240+dfsg-3 [4,675 kB]                                      
Get:23 tor+http://vwakviie2ienjx6t.onion/debian buster/main amd64 libmono-accessibility4.0-cil all 5.18.0.240+dfsg-3 [38.6 kB]                       
Get:24 tor+http://vwakviie2ienjx6t.onion/debian buster/main amd64 libmono-posix4.0-cil all 5.18.0.240+dfsg-3 [105 kB]                                
Get:25 tor+http://vwakviie2ienjx6t.onion/debian buster/main amd64 libmono-system-transactions4.0-cil all 5.18.0.240+dfsg-3 [46.6 kB]                 
Get:26 tor+http://vwakviie2ienjx6t.onion/debian buster/main amd64 libmono-system-enterpriseservices4.0-cil all 5.18.0.240+dfsg-3 [49.9 kB]           
Get:27 tor+http://vwakviie2ienjx6t.onion/debian buster/main amd64 libmono-system-data4.0-cil all 5.18.0.240+dfsg-3 [607 kB]                          
Get:27 tor+http://vwakviie2ienjx6t.onion/debian buster/main amd64 libmono-system-data4.0-cil all 5.18.0.240+dfsg-3 [607 kB]                          
Get:28 tor+http://vwakviie2ienjx6t.onion/debian buster/main amd64 libgdiplus amd64 4.2-2 [145 kB]                                                    
Get:29 tor+http://vwakviie2ienjx6t.onion/debian buster/main amd64 libmono-system-drawing4.0-cil all 5.18.0.240+dfsg-3 [170 kB]                       
Get:30 tor+http://vwakviie2ienjx6t.onion/debian buster/main amd64 libmono-system-runtime-serialization-formatters-soap4.0-cil all 5.18.0.240+dfsg-3 [49.7 kB]
Get:31 tor+http://vwakviie2ienjx6t.onion/debian buster/main amd64 libmono-webbrowser4.0-cil all 5.18.0.240+dfsg-3 [81.3 kB]                          
Get:32 tor+http://vwakviie2ienjx6t.onion/debian buster/main amd64 libmono-i18n4.0-cil all 5.18.0.240+dfsg-3 [45.7 kB]                                
Get:33 tor+http://vwakviie2ienjx6t.onion/debian buster/main amd64 libmono-i18n-west4.0-cil all 5.18.0.240+dfsg-3 [48.8 kB]                           
Get:34 tor+http://vwakviie2ienjx6t.onion/debian buster/main amd64 libmono-system-windows-forms4.0-cil all 5.18.0.240+dfsg-3 [835 kB]                 
Get:35 tor+http://vwakviie2ienjx6t.onion/debian buster/main amd64 stunnel4 amd64 3:5.50-3 [198 kB]                                                   
Get:36 tor+http://vwakviie2ienjx6t.onion/debian buster/main amd64 libsecret-tools amd64 0.18.7-1 [14.3 kB]                                           
Fetched 16.9 MB in 2min 29s (114 kB/s)                                                                                                               
Extracting templates from packages: 100%
[INFO] Saving package changes
Selecting previously unselected package libdbusmenu-gtk4:amd64.
(Reading database ... 138630 files and directories currently installed.)
Preparing to unpack .../00-libdbusmenu-gtk4_18.10.20180917~bzr490+repack1-1_amd64.deb ...
Unpacking libdbusmenu-gtk4:amd64 (18.10.20180917~bzr490+repack1-1) ...
Selecting previously unselected package libindicator7:amd64.
Preparing to unpack .../01-libindicator7_0.5.0-4_amd64.deb ...
Unpacking libindicator7:amd64 (0.5.0-4) ...
Selecting previously unselected package libappindicator1:amd64.
Preparing to unpack .../02-libappindicator1_0.4.92-7_amd64.deb ...
Unpacking libappindicator1:amd64 (0.4.92-7) ...
Selecting previously unselected package binutils-common:amd64.
Preparing to unpack .../03-binutils-common_2.31.1-16_amd64.deb ...
Unpacking binutils-common:amd64 (2.31.1-16) ...
Selecting previously unselected package libbinutils:amd64.
Preparing to unpack .../04-libbinutils_2.31.1-16_amd64.deb ...
Unpacking libbinutils:amd64 (2.31.1-16) ...
Selecting previously unselected package binutils-x86-64-linux-gnu.
Preparing to unpack .../05-binutils-x86-64-linux-gnu_2.31.1-16_amd64.deb ...
Unpacking binutils-x86-64-linux-gnu (2.31.1-16) ...
Selecting previously unselected package binutils.
Preparing to unpack .../06-binutils_2.31.1-16_amd64.deb ...
Unpacking binutils (2.31.1-16) ...
Selecting previously unselected package libmono-corlib4.5-cil.
Preparing to unpack .../07-libmono-corlib4.5-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-corlib4.5-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-system-core4.0-cil.
Preparing to unpack .../08-libmono-system-core4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-system-core4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-system-numerics4.0-cil.
Preparing to unpack .../09-libmono-system-numerics4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-system-numerics4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-system-xml4.0-cil.
Preparing to unpack .../10-libmono-system-xml4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-system-xml4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-system-security4.0-cil.
Preparing to unpack .../11-libmono-system-security4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-system-security4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-system-configuration4.0-cil.
Preparing to unpack .../12-libmono-system-configuration4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-system-configuration4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-system4.0-cil.
Preparing to unpack .../13-libmono-system4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-system4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-security4.0-cil.
Preparing to unpack .../14-libmono-security4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-security4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package mono-4.0-gac.
Preparing to unpack .../15-mono-4.0-gac_5.18.0.240+dfsg-3_all.deb ...
Unpacking mono-4.0-gac (5.18.0.240+dfsg-3) ...
Selecting previously unselected package mono-gac.
Preparing to unpack .../16-mono-gac_5.18.0.240+dfsg-3_all.deb ...
Unpacking mono-gac (5.18.0.240+dfsg-3) ...
Selecting previously unselected package mono-runtime-common.
Preparing to unpack .../17-mono-runtime-common_5.18.0.240+dfsg-3_amd64.deb ...
Unpacking mono-runtime-common (5.18.0.240+dfsg-3) ...
Selecting previously unselected package mono-runtime-sgen.
Preparing to unpack .../18-mono-runtime-sgen_5.18.0.240+dfsg-3_amd64.deb ...
Unpacking mono-runtime-sgen (5.18.0.240+dfsg-3) ...
Selecting previously unselected package mono-runtime.
Preparing to unpack .../19-mono-runtime_5.18.0.240+dfsg-3_amd64.deb ...
Unpacking mono-runtime (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmonoboehm-2.0-1.
Preparing to unpack .../20-libmonoboehm-2.0-1_5.18.0.240+dfsg-3_amd64.deb ...
Unpacking libmonoboehm-2.0-1 (5.18.0.240+dfsg-3) ...
Selecting previously unselected package mono-utils.
Preparing to unpack .../21-mono-utils_5.18.0.240+dfsg-3_amd64.deb ...
Unpacking mono-utils (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-accessibility4.0-cil.
Preparing to unpack .../22-libmono-accessibility4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-accessibility4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-posix4.0-cil.
Preparing to unpack .../23-libmono-posix4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-posix4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-system-transactions4.0-cil.
Preparing to unpack .../24-libmono-system-transactions4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-system-transactions4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-system-enterpriseservices4.0-cil.
Preparing to unpack .../25-libmono-system-enterpriseservices4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-system-enterpriseservices4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-system-data4.0-cil.
Preparing to unpack .../26-libmono-system-data4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-system-data4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libgdiplus.
Preparing to unpack .../27-libgdiplus_4.2-2_amd64.deb ...
Unpacking libgdiplus (4.2-2) ...
Selecting previously unselected package libmono-system-drawing4.0-cil.
Preparing to unpack .../28-libmono-system-drawing4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-system-drawing4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-system-runtime-serialization-formatters-soap4.0-cil.
Preparing to unpack .../29-libmono-system-runtime-serialization-formatters-soap4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-system-runtime-serialization-formatters-soap4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-webbrowser4.0-cil.
Preparing to unpack .../30-libmono-webbrowser4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-webbrowser4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-i18n4.0-cil.
Preparing to unpack .../31-libmono-i18n4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-i18n4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-i18n-west4.0-cil.
Preparing to unpack .../32-libmono-i18n-west4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-i18n-west4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package libmono-system-windows-forms4.0-cil.
Preparing to unpack .../33-libmono-system-windows-forms4.0-cil_5.18.0.240+dfsg-3_all.deb ...
Unpacking libmono-system-windows-forms4.0-cil (5.18.0.240+dfsg-3) ...
Selecting previously unselected package stunnel4.
Preparing to unpack .../34-stunnel4_3%3a5.50-3_amd64.deb ...
Unpacking stunnel4 (3:5.50-3) ...
Selecting previously unselected package libsecret-tools.
Preparing to unpack .../35-libsecret-tools_0.18.7-1_amd64.deb ...
Unpacking libsecret-tools (0.18.7-1) ...
Setting up stunnel4 (3:5.50-3) ...
Warning: The home dir /var/run/stunnel4 you specified can't be accessed: No such file or directory
Adding system user `stunnel4' (UID 113) ...
Adding new group `stunnel4' (GID 129) ...
Adding new user `stunnel4' (UID 113) with group `stunnel4' ...
Not creating home directory `/var/run/stunnel4'.
Setting up binutils-common:amd64 (2.31.1-16) ...
Setting up libgdiplus (4.2-2) ...
Setting up libmonoboehm-2.0-1 (5.18.0.240+dfsg-3) ...
Setting up libindicator7:amd64 (0.5.0-4) ...
Setting up libsecret-tools (0.18.7-1) ...
Setting up libbinutils:amd64 (2.31.1-16) ...
Setting up libdbusmenu-gtk4:amd64 (18.10.20180917~bzr490+repack1-1) ...
Setting up binutils-x86-64-linux-gnu (2.31.1-16) ...
Setting up libappindicator1:amd64 (0.4.92-7) ...
Setting up binutils (2.31.1-16) ...
Setting up libmono-system-xml4.0-cil (5.18.0.240+dfsg-3) ...
Setting up libmono-security4.0-cil (5.18.0.240+dfsg-3) ...
Setting up mono-runtime-sgen (5.18.0.240+dfsg-3) ...
Setting up mono-runtime (5.18.0.240+dfsg-3) ...
update-alternatives: using /usr/bin/mono to provide /usr/bin/cli (cli) in auto mode
Setting up libmono-system-configuration4.0-cil (5.18.0.240+dfsg-3) ...
Setting up libmono-system4.0-cil (5.18.0.240+dfsg-3) ...
Setting up libmono-corlib4.5-cil (5.18.0.240+dfsg-3) ...
Setting up libmono-accessibility4.0-cil (5.18.0.240+dfsg-3) ...
Setting up libmono-i18n4.0-cil (5.18.0.240+dfsg-3) ...
Setting up libmono-system-numerics4.0-cil (5.18.0.240+dfsg-3) ...
Setting up libmono-posix4.0-cil (5.18.0.240+dfsg-3) ...
Setting up mono-utils (5.18.0.240+dfsg-3) ...
update-alternatives: using /usr/bin/monodis to provide /usr/bin/cli-ildasm (cil-disassembler) in auto mode
Setting up libmono-system-core4.0-cil (5.18.0.240+dfsg-3) ...
Setting up libmono-webbrowser4.0-cil (5.18.0.240+dfsg-3) ...
Setting up libmono-system-runtime-serialization-formatters-soap4.0-cil (5.18.0.240+dfsg-3) ...
Setting up libmono-i18n-west4.0-cil (5.18.0.240+dfsg-3) ...
Setting up libmono-system-security4.0-cil (5.18.0.240+dfsg-3) ...
Setting up libmono-system-drawing4.0-cil (5.18.0.240+dfsg-3) ...
Setting up libmono-system-transactions4.0-cil (5.18.0.240+dfsg-3) ...
Setting up mono-4.0-gac (5.18.0.240+dfsg-3) ...
Setting up mono-gac (5.18.0.240+dfsg-3) ...
update-alternatives: using /usr/bin/gacutil to provide /usr/bin/cli-gacutil (global-assembly-cache-tool) in auto mode
Setting up mono-runtime-common (5.18.0.240+dfsg-3) ...
Setting up libmono-system-enterpriseservices4.0-cil (5.18.0.240+dfsg-3) ...
Setting up libmono-system-data4.0-cil (5.18.0.240+dfsg-3) ...
Setting up libmono-system-windows-forms4.0-cil (5.18.0.240+dfsg-3) ...
Setting up eddie-ui (2.19.4) ...
Processing triggers for desktop-file-utils (0.23-4.0tails1) ...
Processing triggers for mime-support (3.62) ...
Processing triggers for gnome-menus (3.31.4-3) ...
Processing triggers for libc-bin (2.28-10) ...
Processing triggers for systemd (241-7~deb10u4) ...
Processing triggers for man-db (2.8.5-2) ...
[INFO] Examining package changes


 

Share this post


Link to post
4 hours ago, discov said:

Do you have any command to launch eddie from terminal. Please let me know.


The package is literally called eddie-ui. DId you try that?

$ eddie-ui
. 2020.09.01 21:40:02 - Eddie version: 2.19.4 / linux_x64, System: Linux, Name: Debian GNU/Linux bullseye/sid \n \l, Version: Linux linux 5.7.0-3-amd64 #1 SMP Debian 5.7.17-1 (2020-08-23) x86_64 GNU/Linux, Mono/.Net: 6.8.0.105 (Debian 6.8.0.105+dfsg-3 Wed Apr  8 15:33:36 UTC 2020); Framework: v4.0.30319
. 2020.09.01 21:40:02 - Command line arguments (2): path.resources="/usr/share/eddie-ui" path.exec="/usr/bin/eddie-ui"
. 2020.09.01 21:40:02 - Raise system privileges
. 2020.09.01 21:40:05 - Profile path: /home/user/.config/eddie/default.profile
. 2020.09.01 21:40:05 - Reading options from /home/user/.config/eddie/default.profile
. 2020.09.01 21:40:05 - Tun Driver - /dev/net/tun
. 2020.09.01 21:40:05 - OpenVPN - Version: 2.4.9 - OpenSSL 1.1.1g  21 Apr 2020, LZO 2.10 (/sbin/openvpn)
. 2020.09.01 21:40:05 - SSH - Version: OpenSSH_8.3p1 Debian-1, OpenSSL 1.1.1g  21 Apr 2020 (/usr/bin/ssh)
. 2020.09.01 21:40:05 - SSL - Version: stunnel 5.56 (/usr/bin/stunnel4)
. 2020.09.01 21:40:05 - curl - Version: 7.72.0 (/usr/bin/curl)
I 2020.09.01 21:40:06 - Ready
. 2020.09.01 21:40:07 - Collect information about AirVPN completed

All log output plus any errors from Mono or Eddie itself will be posted to the terminal. That's what I was aiming for. :)

» I am not an AirVPN team member. All opinions are my own and are not to be considered official. Only the AirVPN Staff account should be viewed as such.

» The forums is a place where you can ask questions to the community. You are not entitled to guaranteed answer times. Answer quality may vary, too. If you need professional support, please create tickets.

» If you're new, take some time to read LZ1's New User Guide to AirVPN. On questions, use the search function first. On errors, search for the error message instead.

» If you choose to create a new thread, keep in mind that we don't know your setup. Give info about it. Never forget the OpenVPN logs or, for Eddie, the support file (Logs > lifebelt icon).

» The community kindly asks you to not set up Tor exit relays when connected to AirVPN. Their IP addresses are subject to restrictions and these are relayed to all users of the affected servers.

 

» Furthermore, I propose that your paranoia is to be destroyed. If you overdo privacy, chances are you will be unique amond the mass again.

Share this post


Link to post
11 minutes ago, giganerd said:

The package is literally called eddie-ui. DId you try that?

$ eddie-ui
. 2020.09.01 21:40:02 - Eddie version: 2.19.4 / linux_x64, System: Linux, Name: Debian GNU/Linux bullseye/sid \n \l, Version: Linux linux 5.7.0-3-amd64 #1 SMP Debian 5.7.17-1 (2020-08-23) x86_64 GNU/Linux, Mono/.Net: 6.8.0.105 (Debian 6.8.0.105+dfsg-3 Wed Apr  8 15:33:36 UTC 2020); Framework: v4.0.30319
. 2020.09.01 21:40:02 - Command line arguments (2): path.resources="/usr/share/eddie-ui" path.exec="/usr/bin/eddie-ui"
. 2020.09.01 21:40:02 - Raise system privileges
. 2020.09.01 21:40:05 - Profile path: /home/user/.config/eddie/default.profile
. 2020.09.01 21:40:05 - Reading options from /home/user/.config/eddie/default.profile
. 2020.09.01 21:40:05 - Tun Driver - /dev/net/tun
. 2020.09.01 21:40:05 - OpenVPN - Version: 2.4.9 - OpenSSL 1.1.1g  21 Apr 2020, LZO 2.10 (/sbin/openvpn)
. 2020.09.01 21:40:05 - SSH - Version: OpenSSH_8.3p1 Debian-1, OpenSSL 1.1.1g  21 Apr 2020 (/usr/bin/ssh)
. 2020.09.01 21:40:05 - SSL - Version: stunnel 5.56 (/usr/bin/stunnel4)
. 2020.09.01 21:40:05 - curl - Version: 7.72.0 (/usr/bin/curl)
I 2020.09.01 21:40:06 - Ready
. 2020.09.01 21:40:07 - Collect information about AirVPN completed

All log output plus any errors from Mono or Eddie itself will be posted to the terminal. That's what I was aiming for. :)
Dear giganerd,
Thank you. PLease see below.
:$ sudo su
[sudo] password for amnesia: 
root@amnesia:/home/amnesia# sudo apt-get -f install
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following package was automatically installed and is no longer required:
  libpcre2-posix0
Use 'sudo apt autoremove' to remove it.
0 upgraded, 0 newly installed, 0 to remove and 28 not upgraded.
root@amnesia:/home/amnesia# cd Persistent
root@amnesia:/home/amnesia/Persistent# sudo dpkg -i eddie-ui_2.19.4_linux_x64_debian.deb
(Reading database ... 139372 files and directories currently installed.)
Preparing to unpack eddie-ui_2.19.4_linux_x64_debian.deb ...
Unpacking eddie-ui (2.19.4) over (2.19.4) ...
Setting up eddie-ui (2.19.4) ...
Processing triggers for gnome-menus (3.31.4-3) ...
Processing triggers for desktop-file-utils (0.23-4.0tails1) ...
Processing triggers for mime-support (3.62) ...
Processing triggers for man-db (2.8.5-2) ...
root@amnesia:/home/amnesia/Persistent# eddie-ui
  at System.Windows.Forms.Control..ctor () [0x0000d] in <0e1823914d7643eeaf1207febb083a4a>:0 
  at System.Windows.Forms.ScrollableControl..ctor () [0x00000] in <0e1823914d7643eeaf1207febb083a4a>:0 
  at System.Windows.Forms.ContainerControl..ctor () [0x0000e] in <0e1823914d7643eeaf1207febb083a4a>:0 
  at System.Windows.Forms.Form..ctor () [0x00012] in <0e1823914d7643eeaf1207febb083a4a>:0 
  at Eddie.Forms.Form..ctor () [0x00000] in <e5b0272e264746009b57b8f8bd02f0c0>:0 
  at Eddie.Forms.Forms.WindowSplash..ctor () [0x00000] in <e5b0272e264746009b57b8f8bd02f0c0>:0 
  at (wrapper remoting-invoke-with-check) Eddie.Forms.Forms.WindowSplash..ctor()
  at Eddie.Forms.UiClient.Init (System.String environmentCommandLine) [0x0001e] in <e5b0272e264746009b57b8f8bd02f0c0>:0 
  at Eddie.Forms.Linux.Program.Main () [0x00089] in <2bd5dc2a687d44f98a5f2f5fb286cc11>:0 
exception inside UnhandledException handler: (null) assembly:/usr/lib/mono/4.5/mscorlib.dll type:NullReferenceException member:(null)

[ERROR] FATAL UNHANDLED EXCEPTION: System.TypeInitializationException: The type initializer for 'System.Windows.Forms.WindowsFormsSynchronizationContext' threw an exception. ---> System.TypeInitializationException: The type initializer for 'System.Windows.Forms.XplatUI' threw an exception. ---> System.Net.Sockets.SocketException: Connection refused
  at System.Net.Sockets.Socket.Connect (System.Net.EndPoint remoteEP) [0x000d7] in <a9a08e39ba304bd0a84c49bd158dfc02>:0 
  at System.Windows.Forms.XplatUIX11.SetDisplay (System.IntPtr display_handle) [0x00204] in <0e1823914d7643eeaf1207febb083a4a>:0 
  at System.Windows.Forms.XplatUIX11..ctor () [0x00077] in <0e1823914d7643eeaf1207febb083a4a>:0 
  at System.Windows.Forms.XplatUIX11.GetInstance () [0x0001c] in <0e1823914d7643eeaf1207febb083a4a>:0 
  at System.Windows.Forms.XplatUI..cctor () [0x000e3] in <0e1823914d7643eeaf1207febb083a4a>:0 
   --- End of inner exception stack trace ---
  at System.Windows.Forms.Theme.get_MenuAccessKeysUnderlined () [0x00000] in <0e1823914d7643eeaf1207febb083a4a>:0 
  at System.Windows.Forms.SystemInformation.get_MenuAccessKeysUnderlined () [0x00005] in <0e1823914d7643eeaf1207febb083a4a>:0 
  at System.Windows.Forms.Control..ctor () [0x000dc] in <0e1823914d7643eeaf1207febb083a4a>:0 
  at (wrapper remoting-invoke-with-check) System.Windows.Forms.Control..ctor()
  at System.Windows.Forms.WindowsFormsSynchronizationContext..cctor () [0x00000] in <0e1823914d7643eeaf1207febb083a4a>:0 
   --- End of inner exception stack trace ---
  at (wrapper managed-to-native) System.Object.__icall_wrapper_mono_generic_class_init(intptr)
  at System.Windows.Forms.WindowsFormsSynchronizationContext.get_AutoInstall () [0x00000] in <0e1823914d7643eeaf1207febb083a4a>:0 
  at System.Windows.Forms.Control..ctor () [0x0000d] in <0e1823914d7643eeaf1207febb083a4a>:0 
  at System.Windows.Forms.ScrollableControl..ctor () [0x00000] in <0e1823914d7643eeaf1207febb083a4a>:0 
  at System.Windows.Forms.ContainerControl..ctor () [0x0000e] in <0e1823914d7643eeaf1207febb083a4a>:0 
  at System.Windows.Forms.Form..ctor () [0x00012] in <0e1823914d7643eeaf1207febb083a4a>:0 
  at System.Windows.Forms.MessageBox+MessageBoxForm..ctor (System.Windows.Forms.IWin32Window owner, System.String text, System.String caption, System.Windows.Forms.MessageBoxButtons buttons, System.Windows.Forms.MessageBoxIcon icon, System.Boolean displayHelpButton) [0x0000c] in <0e1823914d7643eeaf1207febb083a4a>:0 
  at System.Windows.Forms.MessageBox+MessageBoxForm..ctor (System.Windows.Forms.IWin32Window owner, System.String text, System.String caption, System.Windows.Forms.MessageBoxButtons buttons, System.Windows.Forms.MessageBoxIcon icon) [0x00000] in <0e1823914d7643eeaf1207febb083a4a>:0 
  at (wrapper remoting-invoke-with-check) System.Windows.Forms.MessageBox+MessageBoxForm..ctor(System.Windows.Forms.IWin32Window,string,string,System.Windows.Forms.MessageBoxButtons,System.Windows.Forms.MessageBoxIcon)
  at System.Windows.Forms.MessageBox.Show (System.String text, System.String caption, System.Windows.Forms.MessageBoxButtons buttons, System.Windows.Forms.MessageBoxIcon icon) [0x00000] in <0e1823914d7643eeaf1207febb083a4a>:0 
  at Eddie.Forms.Linux.Program.Main () [0x000a1] in <2bd5dc2a687d44f98a5f2f5fb286cc11>:0 
root@amnesia:/home/amnesia/Persistent# 

Share this post


Link to post
Posted ... (edited)
23 minutes ago, discov said:

System.Net.Sockets.SocketException: Connection refused


Boum, firewall issue. According to Tails documentation, local services must be whitelisted:
Quote

Local services whitelist

The Tails firewall uses a whitelist which only grants access to each local service to the users that actually need it. This blocks potential leaks due to misconfigurations or bugs, and deanonymization attacks by compromised processes. For specifics, see the firewall configuration where this is well commented: config/chroot local-includes/etc/ferm/ferm.conf


The syntax of the file referenced reminds me of nft, the tool to configure nf_tables. Not sure if it's the same. But here is the thing: In the file services are allowed based on their destination ports, but when Eddie launches the dports seem to be dynamic. Allowing all ports to "fix" this is a very, very bad practice in the context of Tails. Then, the manual of ferm.conf does not hint at a way to specify application/executable/binary names, and I don't see a setting to configure these ports in Eddie as well, so from my point of view it looks like it's unusable on Tails for now. Edited ... by giganerd
Link to documentation

» I am not an AirVPN team member. All opinions are my own and are not to be considered official. Only the AirVPN Staff account should be viewed as such.

» The forums is a place where you can ask questions to the community. You are not entitled to guaranteed answer times. Answer quality may vary, too. If you need professional support, please create tickets.

» If you're new, take some time to read LZ1's New User Guide to AirVPN. On questions, use the search function first. On errors, search for the error message instead.

» If you choose to create a new thread, keep in mind that we don't know your setup. Give info about it. Never forget the OpenVPN logs or, for Eddie, the support file (Logs > lifebelt icon).

» The community kindly asks you to not set up Tor exit relays when connected to AirVPN. Their IP addresses are subject to restrictions and these are relayed to all users of the affected servers.

 

» Furthermore, I propose that your paranoia is to be destroyed. If you overdo privacy, chances are you will be unique amond the mass again.

Share this post


Link to post

Thanks a lot.
As a final resort, I am planning to try out the instructions posted under this link (https://exposingtheinvisible.org/guides/vpn-over-tor/).  An example of riseup bpn was given in this guidance. The anonomymous-vpn folks guide was also similar to this. So, I see a value in trying this out using the airvpn information. What are the things I need ?
1. CA certificate of Airvpn (similar to the one available (https://riseup.net/en/security/network-security/riseup-ca/RiseupCA.pem) Where will I get this? Any suggestions
2. Openvpn configuration file. I am sure that I download this from airvpn
3. The openvpn script available here (
https://exposingtheinvisible.org/en/guides/vot/)
Let me try. The entire guide is available under
https://exposingtheinvisible.org/guides/vpn-over-tor/

Share this post


Link to post

Good luck! Keep us posted.

When you use the config generator, you get all the files you need, including the CA cert and of course the ovpn config.


» I am not an AirVPN team member. All opinions are my own and are not to be considered official. Only the AirVPN Staff account should be viewed as such.

» The forums is a place where you can ask questions to the community. You are not entitled to guaranteed answer times. Answer quality may vary, too. If you need professional support, please create tickets.

» If you're new, take some time to read LZ1's New User Guide to AirVPN. On questions, use the search function first. On errors, search for the error message instead.

» If you choose to create a new thread, keep in mind that we don't know your setup. Give info about it. Never forget the OpenVPN logs or, for Eddie, the support file (Logs > lifebelt icon).

» The community kindly asks you to not set up Tor exit relays when connected to AirVPN. Their IP addresses are subject to restrictions and these are relayed to all users of the affected servers.

 

» Furthermore, I propose that your paranoia is to be destroyed. If you overdo privacy, chances are you will be unique amond the mass again.

Share this post


Link to post

I have followed the recommendations at various places.  This latest attempt was following these steps:

  1. sudo dpkg -i eddite-ui_2.18.9_linux_x64_debian.deb
  2. sudo apt-get -f install
  3. eddie-ui
The install steps 1 and 2 appeared to work fine, but step 3 does not.  All I get is a bunch of error messages such as:
FATAL UNHANDELED EXCEPTION
...connection refused...
Here's the full text:
root@amnesia:/home/amnesia/Persistent/Tor Browser# eddie-ui
  at System.Windows.Forms.Control..ctor () [0x0000d] in <0e1823914d7643eeaf1207febb083a4a>:0
  at System.Windows.Forms.ScrollableControl..ctor () [0x00000] in <0e1823914d7643eeaf1207febb083a4a>:0
  at System.Windows.Forms.ContainerControl..ctor () [0x0000e] in <0e1823914d7643eeaf1207febb083a4a>:0
  at System.Windows.Forms.Form..ctor () [0x00012] in <0e1823914d7643eeaf1207febb083a4a>:0
  at Eddie.Forms.Form..ctor () [0x00000] in <e6dc93fc4576456d8538ce21baca5982>:0
  at Eddie.Forms.Forms.WindowSplash..ctor () [0x00000] in <e6dc93fc4576456d8538ce21baca5982>:0
  at (wrapper remoting-invoke-with-check) Eddie.Forms.Forms.WindowSplash..ctor()
  at Eddie.Forms.UiClient.Init (System.String environmentCommandLine) [0x0001e] in <e6dc93fc4576456d8538ce21baca5982>:0
  at Eddie.Forms.Linux.Program.Main () [0x00089] in <c03bb4e2a4dd4127a52cdabd1096458a>:0
exception inside UnhandledException handler: (null) assembly:/usr/lib/mono/4.5/mscorlib.dll type:NullReferenceException member:(null)

[ERROR] FATAL UNHANDLED EXCEPTION: System.TypeInitializationException: The type initializer for 'System.Windows.Forms.WindowsFormsSynchronizationContext' threw an exception. ---> System.TypeInitializationException: The type initializer for 'System.Windows.Forms.XplatUI' threw an exception. ---> System.Net.Sockets.SocketException: Connection refused
  at System.Net.Sockets.Socket.Connect (System.Net.EndPoint remoteEP) [0x000d7] in <a9a08e39ba304bd0a84c49bd158dfc02>:0
  at System.Windows.Forms.XplatUIX11.SetDisplay (System.IntPtr display_handle) [0x00204] in <0e1823914d7643eeaf1207febb083a4a>:0
  at System.Windows.Forms.XplatUIX11..ctor () [0x00077] in <0e1823914d7643eeaf1207febb083a4a>:0
  at System.Windows.Forms.XplatUIX11.GetInstance () [0x0001c] in <0e1823914d7643eeaf1207febb083a4a>:0
  at System.Windows.Forms.XplatUI..cctor () [0x000e3] in <0e1823914d7643eeaf1207febb083a4a>:0
   --- End of inner exception stack trace ---
  at System.Windows.Forms.Theme.get_MenuAccessKeysUnderlined () [0x00000] in <0e1823914d7643eeaf1207febb083a4a>:0
  at System.Windows.Forms.SystemInformation.get_MenuAccessKeysUnderlined () [0x00005] in <0e1823914d7643eeaf1207febb083a4a>:0
  at System.Windows.Forms.Control..ctor () [0x000dc] in <0e1823914d7643eeaf1207febb083a4a>:0
  at (wrapper remoting-invoke-with-check) System.Windows.Forms.Control..ctor()
  at System.Windows.Forms.WindowsFormsSynchronizationContext..cctor () [0x00000] in <0e1823914d7643eeaf1207febb083a4a>:0
   --- End of inner exception stack trace ---
  at (wrapper managed-to-native) System.Object.__icall_wrapper_mono_generic_class_init(intptr)
  at System.Windows.Forms.WindowsFormsSynchronizationContext.get_AutoInstall () [0x00000] in <0e1823914d7643eeaf1207febb083a4a>:0
  at System.Windows.Forms.Control..ctor () [0x0000d] in <0e1823914d7643eeaf1207febb083a4a>:0
  at System.Windows.Forms.ScrollableControl..ctor () [0x00000] in <0e1823914d7643eeaf1207febb083a4a>:0
  at System.Windows.Forms.ContainerControl..ctor () [0x0000e] in <0e1823914d7643eeaf1207febb083a4a>:0
  at System.Windows.Forms.Form..ctor () [0x00012] in <0e1823914d7643eeaf1207febb083a4a>:0
  at System.Windows.Forms.MessageBox+MessageBoxForm..ctor (System.Windows.Forms.IWin32Window owner, System.String text, System.String caption, System.Windows.Forms.MessageBoxButtons buttons, System.Windows.Forms.MessageBoxIcon icon, System.Boolean displayHelpButton) [0x0000c] in <0e1823914d7643eeaf1207febb083a4a>:0
  at System.Windows.Forms.MessageBox+MessageBoxForm..ctor (System.Windows.Forms.IWin32Window owner, System.String text, System.String caption, System.Windows.Forms.MessageBoxButtons buttons, System.Windows.Forms.MessageBoxIcon icon) [0x00000] in <0e1823914d7643eeaf1207febb083a4a>:0
  at (wrapper remoting-invoke-with-check) System.Windows.Forms.MessageBox+MessageBoxForm..ctor(System.Windows.Forms.IWin32Window,string,string,System.Windows.Forms.MessageBoxButtons,System.Windows.Forms.MessageBoxIcon)
  at System.Windows.Forms.MessageBox.Show (System.String text, System.String caption, System.Windows.Forms.MessageBoxButtons buttons, System.Windows.Forms.MessageBoxIcon icon) [0x00000] in <0e1823914d7643eeaf1207febb083a4a>:0
  at Eddie.Forms.Linux.Program.Main () [0x000a1] in <c03bb4e2a4dd4127a52cdabd1096458a>:0


 

Share this post


Link to post
@Jonnny I merged your new thread with this one since we're discussing the exact same thing here.
As pointed out in one of my replies, Eddie must be whitelisted to work and currently it seems that the dports used are dynamic, introducing a big hole in security should you choose to fix it by allowing all dynamic ports. This is a Tails restriction aimed at hardening deanonymization through connections on the same host, and not an issue at all, let alone one of Eddie.

Ergo, Eddie is de-facto unusable on Tails.

» I am not an AirVPN team member. All opinions are my own and are not to be considered official. Only the AirVPN Staff account should be viewed as such.

» The forums is a place where you can ask questions to the community. You are not entitled to guaranteed answer times. Answer quality may vary, too. If you need professional support, please create tickets.

» If you're new, take some time to read LZ1's New User Guide to AirVPN. On questions, use the search function first. On errors, search for the error message instead.

» If you choose to create a new thread, keep in mind that we don't know your setup. Give info about it. Never forget the OpenVPN logs or, for Eddie, the support file (Logs > lifebelt icon).

» The community kindly asks you to not set up Tor exit relays when connected to AirVPN. Their IP addresses are subject to restrictions and these are relayed to all users of the affected servers.

 

» Furthermore, I propose that your paranoia is to be destroyed. If you overdo privacy, chances are you will be unique amond the mass again.

Share this post


Link to post
Posted ... (edited)

What about allowing specific ports?  Would that fix the problem?

Also, is there a way to use AirVPN one Tails at all?

Edited ... by Jonnny
added other question

Share this post


Link to post
1 hour ago, Jonnny said:

What about allowing specific ports?  Would that fix the problem?

Also, is there a way to use AirVPN one Tails at all?


Please read my reply again, and more carefully. Eddie uses temporary dynamic ports. The Linux kernel allocates the entirety of the dynamic/temporary port range (somewhere from 49000 to the last 65535) chronologically whenever a temporary port is needed. If it reaches the boundary, it loops over. So if Eddie opened 50000-50006, next time you launch it they could be 50007-50013 for example. You could theoretically allow the whole range of ports, but that's a huge risk in the context of Tails.

And yes, there might be a way to connect to AirVPN using "plain" OpenVPN.

» I am not an AirVPN team member. All opinions are my own and are not to be considered official. Only the AirVPN Staff account should be viewed as such.

» The forums is a place where you can ask questions to the community. You are not entitled to guaranteed answer times. Answer quality may vary, too. If you need professional support, please create tickets.

» If you're new, take some time to read LZ1's New User Guide to AirVPN. On questions, use the search function first. On errors, search for the error message instead.

» If you choose to create a new thread, keep in mind that we don't know your setup. Give info about it. Never forget the OpenVPN logs or, for Eddie, the support file (Logs > lifebelt icon).

» The community kindly asks you to not set up Tor exit relays when connected to AirVPN. Their IP addresses are subject to restrictions and these are relayed to all users of the affected servers.

 

» Furthermore, I propose that your paranoia is to be destroyed. If you overdo privacy, chances are you will be unique amond the mass again.

Share this post


Link to post

I am sorry that your post was confusing.  You failed to explain what you meant by ports.  It appears you meant port ranges rather than ports.  But maybe you meant something entirely different.

In any case, the meaning of my question was that I wondered if specific ports could be set to be used rather than being dynamic.  In other words, the whole security issue would be solved by not using dynamically assigned ports?  Isn't  that a Eddie problem and not a Tails problem?

Share this post


Link to post
2 hours ago, Jonnny said:

I am sorry that your post was confusing.  You failed to explain what you meant by ports.  It appears you meant port ranges rather than ports.  But maybe you meant something entirely different.


dports = destination ports. Perhaps it was tricky to tell it apart from dynamic ports. Sorry.
  • destination port = Program wants to connect to a port, that port is the destination port.
  • dynamic port = A port number in the range commonly known as the "dynamic ports" range.
    Background info: The complete port range from 1 to 65535 is divided into three groups: 1 to 1023 are the "well-known ports", 1024 to 49000 are the "reserved ports" and ~49000 to 65535 are the "dynamic ports". The latter is meant.
2 hours ago, Jonnny said:

In any case, the meaning of my question was that I wondered if specific ports could be set to be used rather than being dynamic.  In other words, the whole security issue would be solved by not using dynamically assigned ports?  Isn't  that a Eddie problem and not a Tails problem?


I mentioned in a previous post that there is no way to set this in Eddie, and there really never was a use case in the past where such a setting would've made any sense.

Let's also not view this as a problem, because it isn't. Tails enforces certain security measures which make sense, and Eddie is simply incompatible with them, which also makes sense. But I do tend to say here that Eddie should somehow be made compatible with it, maybe by providing a different package specifically made for Tails with static communication ports which can be whitelisted in ferm.conf. That's out of my personal hands, though.

» I am not an AirVPN team member. All opinions are my own and are not to be considered official. Only the AirVPN Staff account should be viewed as such.

» The forums is a place where you can ask questions to the community. You are not entitled to guaranteed answer times. Answer quality may vary, too. If you need professional support, please create tickets.

» If you're new, take some time to read LZ1's New User Guide to AirVPN. On questions, use the search function first. On errors, search for the error message instead.

» If you choose to create a new thread, keep in mind that we don't know your setup. Give info about it. Never forget the OpenVPN logs or, for Eddie, the support file (Logs > lifebelt icon).

» The community kindly asks you to not set up Tor exit relays when connected to AirVPN. Their IP addresses are subject to restrictions and these are relayed to all users of the affected servers.

 

» Furthermore, I propose that your paranoia is to be destroyed. If you overdo privacy, chances are you will be unique amond the mass again.

Share this post


Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
  • Security Check
    Play CAPTCHA Audio
    Refresh Image

×
×
  • Create New...